> ## Documentation Index
> Fetch the complete documentation index at: https://apidocs.fohlio.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get a dump of the whole team



## OpenAPI

````yaml /swagger.yaml get /team/dump
openapi: 3.0.1
info:
  title: Fohlio REST API
  description: This is the documentation for the Fohlio REST API.
  version: 1.0.0
servers:
  - url: /openapi
  - url: https://app.fohlio.com/be/openapi
security: []
paths:
  /team/dump:
    get:
      tags:
        - Team
      summary: Get a dump of the whole team
      operationId: team#dump
      parameters:
        - name: projects
          in: query
          schema:
            type: boolean
          required: false
        - name: project_items
          in: query
          schema:
            type: boolean
          required: false
        - name: project_items_columns
          in: query
          schema:
            type: boolean
          required: false
        - name: client_proposals
          in: query
          schema:
            type: boolean
          required: false
        - name: client_invoices
          in: query
          schema:
            type: boolean
          required: false
        - name: purchase_orders
          in: query
          schema:
            type: boolean
          required: false
        - name: purchase_order_invoices
          in: query
          schema:
            type: boolean
          required: false
        - name: purchase_order_shipments
          in: query
          schema:
            type: boolean
          required: false
        - name: clients
          in: query
          schema:
            type: boolean
          required: false
        - name: vendors
          in: query
          schema:
            type: boolean
          required: false
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/responseBodyTeamDump'
        '401':
          description: Unauthorized
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/error'
        '403':
          description: Forbidden
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/error'
      security:
        - apiKey: []
components:
  schemas:
    responseBodyTeamDump:
      type: object
      properties:
        projects:
          type: array
          items:
            $ref: '#/components/schemas/project'
        project_items:
          $ref: '#/components/schemas/projectItems'
        client_proposals:
          type: array
          items:
            $ref: '#/components/schemas/clientProposal'
        client_invoices:
          type: array
          items:
            $ref: '#/components/schemas/clientInvoice'
        purchase_orders:
          type: array
          items:
            $ref: '#/components/schemas/purchaseOrder'
        supplier_invoices:
          type: array
          items:
            $ref: '#/components/schemas/supplierInvoice'
        purchase_order_shipment:
          type: array
          items:
            $ref: '#/components/schemas/shipment'
        clients:
          type: array
          items:
            $ref: '#/components/schemas/contact'
        vendors:
          type: array
          items:
            $ref: '#/components/schemas/contact'
    error:
      type: object
      properties:
        error:
          type: string
    project:
      type: object
      properties:
        id:
          type: integer
          description: The unique identifier for the project.
        name:
          type: string
          description: The name of the project.
        code:
          type: string
          nullable: true
          description: The number of the project.
        client:
          nullable: true
          allOf:
            - $ref: '#/components/schemas/contact'
        billing_client:
          nullable: true
          allOf:
            - $ref: '#/components/schemas/contact'
        address:
          nullable: true
          allOf:
            - $ref: '#/components/schemas/address'
        categories:
          type: array
          items:
            $ref: '#/components/schemas/category'
          description: The categories of the project.
        project_currency:
          $ref: '#/components/schemas/projectCurrency'
        project_users:
          type: array
          items:
            $ref: '#/components/schemas/projectUser'
          description: The project users of the project.
    projectItems:
      type: array
      items:
        $ref: '#/components/schemas/projectItem'
    clientProposal:
      type: object
      properties:
        id:
          type: integer
        label:
          type: string
        status:
          type: string
          enum:
            - draft
            - review
            - approved
            - rejected
            - invoiced_partially
            - invoiced_fully
        subtotal:
          type: number
        total:
          type: number
        taxes:
          type: number
        taxable_amount:
          type: number
        created_at:
          type: string
          format: date-time
        updated_at:
          type: string
          format: date-time
        client:
          $ref: '#/components/schemas/contact'
        items:
          type: array
          items:
            $ref: '#/components/schemas/lineItem'
        client_invoice_ids:
          type: array
          items:
            type: integer
        payment_terms:
          type: array
          items:
            $ref: '#/components/schemas/paymentTerm'
    clientInvoice:
      type: object
      properties:
        id:
          type: integer
        project_id:
          type: integer
        status:
          type: string
          enum:
            - draft
            - sent
            - paid
            - overdue
            - deposited
            - void
            - paid_partially
            - revised
        invoice_date:
          type: string
          nullable: true
        note:
          type: string
          nullable: true
        payment_terms:
          type: array
          items:
            $ref: '#/components/schemas/paymentTerm'
        label:
          type: string
        created_at:
          type: string
          format: date-time
        updated_at:
          type: string
          format: date-time
        tax_amount:
          type: number
        taxable_amount:
          type: number
        amount:
          type: number
        amount_with_tax:
          type: number
        balance:
          type: number
        products_amount:
          type: number
        services_amount:
          type: number
        balance_transactions_amount:
          type: number
        client:
          $ref: '#/components/schemas/contact'
        items:
          type: array
          items:
            $ref: '#/components/schemas/lineItem'
        client_proposal_id:
          type: integer
          nullable: true
        purchase_order_ids:
          type: array
          items:
            type: integer
    purchaseOrder:
      type: object
      properties:
        id:
          type: integer
        rev_num:
          type: string
          nullable: true
        last_revision_num:
          type: string
          nullable: true
        project_id:
          type: integer
        creator_id:
          type: integer
        label:
          type: string
        status:
          type: string
          enum:
            - draft
            - review
            - approved
            - rejected
            - open
            - shipment_created
            - arrival_expected
            - received_partially
            - closed
        common_status:
          type: string
          enum:
            - draft
            - review
            - approved
            - rejected
            - open
            - shipment_created
            - arrival_expected
            - received_partially
            - closed
        project_name:
          type: string
        purchase_order_date:
          type: string
          format: date
          nullable: true
        delivery_date:
          type: string
          format: date
          nullable: true
        sent_date:
          type: string
          format: date
          nullable: true
        ship_via:
          type: string
          nullable: true
        note:
          type: string
          nullable: true
        payment_terms:
          type: string
          nullable: true
        currency:
          type: string
        created_at:
          type: string
          format: date-time
        updated_at:
          type: string
          format: date-time
        vendor_id:
          type: integer
        vendor_address_id:
          type: integer
          nullable: true
        vendor_contact_id:
          type: integer
          nullable: true
        shipping_client_id:
          type: integer
          nullable: true
        shipping_client_address_id:
          type: integer
          nullable: true
        shipping_client_contact_id:
          type: integer
          nullable: true
        billing_client_id:
          type: integer
          nullable: true
        billing_client_address_id:
          type: integer
          nullable: true
        billing_client_contact_id:
          type: integer
          nullable: true
        vendor:
          $ref: '#/components/schemas/contact'
        shipping_client:
          nullable: true
          allOf:
            - $ref: '#/components/schemas/contact'
        billing_client_client:
          nullable: true
          allOf:
            - $ref: '#/components/schemas/contact'
        amount:
          type: number
        total:
          type: number
        shipping_cost:
          type: number
        packing_cost:
          type: number
        duties_cost:
          type: number
        install_cost:
          type: number
        other_cost:
          type: number
        sales_tax:
          type: number
        invoiced_amount:
          type: number
        paid_amount:
          type: number
        due_amount:
          type: number
        items:
          type: array
          items:
            $ref: '#/components/schemas/lineItem'
        client_invoice_ids:
          type: array
          items:
            type: integer
        supplier_invoice_ids:
          type: array
          items:
            type: integer
        shipment_ids:
          type: array
          items:
            type: integer
    supplierInvoice:
      type: object
      properties:
        id:
          type: integer
        purchase_order_id:
          type: integer
          nullable: true
        label:
          type: string
          nullable: true
        vendor:
          nullable: true
          allOf:
            - $ref: '#/components/schemas/contact'
        invoice_date:
          type: string
          format: date
        due_date:
          type: string
          format: date
          nullable: true
        status:
          type: string
          enum:
            - draft
            - review
            - approved
            - rejected
            - paid
            - paid_partially
            - overdue
            - refunded
        notes:
          type: string
          nullable: true
        subtotal:
          type: number
        total:
          type: number
        paid_amount:
          type: number
        shipping_cost:
          type: number
        packing_cost:
          type: number
        duties_cost:
          type: number
        install_cost:
          type: number
        other_cost:
          type: number
        sales_tax:
          type: number
        items:
          type: array
          items:
            $ref: '#/components/schemas/lineItem'
        payment_terms:
          type: array
          items:
            $ref: '#/components/schemas/paymentTerm'
    shipment:
      type: object
      properties:
        id:
          type: integer
        currency:
          type: string
          nullable: true
        deliver_by:
          type: string
          format: date
          nullable: true
        delivery_date:
          type: string
          format: date
          nullable: true
        estimated_ship_date:
          type: string
          format: date
          nullable: true
        shipped_date:
          type: string
          format: date
          nullable: true
        received_date:
          type: string
          format: date
          nullable: true
        status:
          type: string
          enum:
            - not_shipped
            - arrival_expected
            - received
        notes:
          type: string
          nullable: true
        tracking_number:
          type: string
          nullable: true
        items:
          type: array
          items:
            $ref: '#/components/schemas/shipmentLineItem'
        shipping_client:
          nullable: true
          allOf:
            - $ref: '#/components/schemas/contact'
        supplier:
          nullable: true
          allOf:
            - $ref: '#/components/schemas/contact'
        purchase_order_ids:
          type: array
          items:
            type: integer
    contact:
      type: object
      properties:
        id:
          type: integer
        name:
          type: string
        data:
          type: object
          additionalProperties: true
          description: The details of the contact encoded in JSON format.
        addresses:
          type: array
          items:
            $ref: '#/components/schemas/contactAddress'
        people:
          type: array
          items:
            $ref: '#/components/schemas/contactPerson'
        categories:
          type: array
          items:
            $ref: '#/components/schemas/contactCategory'
    address:
      type: object
      properties:
        id:
          type: integer
        address_line_1:
          type: string
          nullable: true
        address_line_2:
          type: string
          nullable: true
        city:
          type: string
          nullable: true
        state:
          type: string
          nullable: true
        country:
          type: string
          nullable: true
        postal_code:
          type: string
          nullable: true
        region_id:
          type: integer
          nullable: true
    category:
      type: object
      properties:
        id:
          type: integer
        name:
          type: string
        children:
          type: array
          items:
            $ref: '#/components/schemas/category'
    projectCurrency:
      properties:
        enabled:
          type: boolean
        currency:
          $ref: '#/components/schemas/currency'
        exchange_rates:
          type: array
          items:
            $ref: '#/components/schemas/exchangeRate'
    projectUser:
      type: object
      properties:
        user_id:
          type: integer
        access:
          type: string
          enum:
            - admin
            - view
            - edit
    projectItem:
      properties:
        id:
          type: integer
        project_id:
          type: integer
        position:
          type: integer
        state:
          type: string
          enum:
            - active
            - removed
        quantity:
          type: number
        extra_quantity:
          type: number
        division:
          $ref: '#/components/schemas/category'
        vendor_id:
          type: integer
          nullable: true
        revit_id:
          type: string
          nullable: true
        child_item_ids:
          type: array
          items:
            type: integer
        area_quantities:
          type: array
          items:
            $ref: '#/components/schemas/areaQuantity'
        column_values:
          type: array
          items:
            type: object
            properties:
              column:
                $ref: '#/components/schemas/column'
              displayed_value:
                oneOf:
                  - type: string
                  - type: number
                nullable: true
              calculated_value:
                oneOf:
                  - type: string
                  - type: number
                nullable: true
              users:
                type: array
                items:
                  $ref: '#/components/schemas/user'
              images:
                type: array
                nullable: true
                items:
                  type: object
                  properties:
                    url:
                      type: string
                    small_url:
                      type: string
                    default:
                      type: boolean
                    presentable:
                      type: boolean
              docs:
                type: array
                nullable: true
                items:
                  type: object
                  properties:
                    url:
                      type: string
                    name:
                      type: string
                    extension:
                      type: string
              supplier:
                nullable: true
                allOf:
                  - $ref: '#/components/schemas/contact'
              manufacturer:
                nullable: true
                allOf:
                  - $ref: '#/components/schemas/contact'
              urls:
                type: array
                items:
                  type: string
    lineItem:
      type: object
      properties:
        id:
          type: integer
        name:
          type: string
          nullable: true
        description:
          type: string
          nullable: true
        unit_type:
          type: string
          nullable: true
        quantity:
          type: number
        price:
          type: number
        taxable:
          type: boolean
        second_taxable:
          type: boolean
          nullable: true
        project_item_id:
          type: integer
          nullable: true
    paymentTerm:
      type: object
      properties:
        id:
          type: string
        amount:
          type: string
        due_date:
          type: string
          nullable: true
        payment_terms:
          type: string
    shipmentLineItem:
      type: object
      properties:
        id:
          type: integer
        name:
          type: string
          nullable: true
        description:
          type: string
          nullable: true
        spec_quantity:
          type: number
        ordered:
          type: number
        received:
          type: number
        shipped:
          type: number
    contactAddress:
      type: object
      properties:
        id:
          type: integer
        name:
          type: string
        phone:
          type: string
          nullable: true
        post_code:
          type: string
          nullable: true
        address_line_1:
          type: string
          nullable: true
        address_line_2:
          type: string
          nullable: true
        city:
          type: string
          nullable: true
        state:
          type: string
          nullable: true
        country:
          type: string
          nullable: true
        priority:
          type: boolean
    contactPerson:
      type: object
      properties:
        id:
          type: integer
        name:
          type: string
          nullable: true
        email:
          type: string
          nullable: true
        phone:
          type: string
          nullable: true
        position:
          type: string
          nullable: true
        note:
          type: string
          nullable: true
        priority:
          type: boolean
    contactCategory:
      type: object
      properties:
        id:
          type: integer
        type:
          type: string
          enum:
            - client
            - supplier
            - general_contractor
            - manufacture
            - warehouse
    currency:
      type: object
      properties:
        id:
          type: integer
        iso_code:
          type: string
        name:
          type: string
    exchangeRate:
      properties:
        rate:
          type: number
        exchange_currency:
          $ref: '#/components/schemas/currency'
    areaQuantity:
      properties:
        area_id:
          type: integer
        quantity:
          type: number
        area_multiplier:
          type: integer
    column:
      type: object
      properties:
        id:
          type: integer
        key:
          type: string
        type:
          type: string
        position:
          type: integer
        property:
          type: string
          enum:
            - project
            - product
            - pricing
    user:
      type: object
      properties:
        id:
          type: integer
        email:
          type: string
        name:
          type: string
  securitySchemes:
    apiKey:
      type: apiKey
      name: authorization
      in: header

````